#### Description:

This function retrieves the data values that form the FITS binary table representation of the MOC and stores them in a supplied array. Such a table contains a single scalar-valued column in which each row holds a signed integer identifier for a single HEALPix cell, following the scheme described in the MOC recommendation. Depending on the order of the Moc, these integers may be 4 bytes or 8 bytes.

The number of rows in the table and the required integer data type are available through the MocType and MocLength attributes of the Moc class.

The FITS headers to store in the FITS binary table can be obtained using function astGetMocHeader.

#### Synopsis

void astGetMocData( AstMoc ∗this, size_t mxsize, void ∗data )

#### Parameters:

##### this

Pointer to the Moc to be modified.

##### mxsize

The length of the supplied array in bytes. An error will be reported if this value is smaller than the number required to describe the Moc (the product of the MocType and MocLength attributes).

##### data

Pointer to the area of memory in which to return the signed integer cell identifiers. This area is assumed to contain at least `"` mxsize`"` bytes.
Copyright (C) 2021 East Asian Observatory